org.apache.maven.scm.provider.hg.command.inventory

## Class HgChangeSet

- java.lang.Object
- - org.apache.maven.scm.ChangeSet
  - - org.apache.maven.scm.provider.hg.command.inventory.HgChangeSet

All Implemented Interfaces:
  Serializable

    public class HgChangeSet
    extends ChangeSet

Mercurial changeset

Author:
  Laurent Perez
See Also:
  Serialized Form

### Field Summary

### Fields inherited from class org.apache.maven.scm.ChangeSet

`AMPERSAND_ENTITY, APOSTROPHE_ENTITY, GREATER_THAN_ENTITY, LESS_THAN_ENTITY, QUOTE_ENTITY`

### Constructor Summary

Constructors
Constructor and Description
`HgChangeSet()`
`HgChangeSet(String branch)`

### Method Summary

All Methods Instance Methods Concrete Methods
`String` `getBranch()`

### Methods inherited from class org.apache.maven.scm.ChangeSet

`addFile, addMergedRevision, containsFilename, containsFilename, equals, escapeValue, getAuthor, getComment, getDate, getDateFormatted, getFiles, getMergedRevisions, getParentRevision, getRevision, getTimeFormatted, hashCode, setAuthor, setComment, setDate, setDate, setDate, setFiles, setMergedRevisions, setParentRevision, setRevision, toString, toXML`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### HgChangeSet

    public HgChangeSet()

#### HgChangeSet

    public HgChangeSet(String branch)

### Method Detail

#### getBranch

    public String getBranch()